zenilib: TT_HoriHeader_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_HoriHeader_ Struct Reference

`#include <tttables.h>`

## Public Attributes

FT_UShort | advance_Width_Max
FT_Short | Ascender
FT_Short | caret_Offset
FT_Short | caret_Slope_Rise
FT_Short | caret_Slope_Run
FT_Short | Descender
FT_Short | Line_Gap
void * | long_metrics
FT_Short | metric_Data_Format
FT_Short | min_Left_Side_Bearing
FT_Short | min_Right_Side_Bearing
FT_UShort | number_Of_HMetrics
FT_Short | Reserved [4]
void * | short_metrics
FT_Fixed | Version
FT_Short | xMax_Extent

## Detailed Description

Definition at line 180 of file tttables.h.

## Member Data Documentation

FT_UShort TT_HoriHeader_::advance_Width_Max

Definition at line 187 of file tttables.h.

FT_Short TT_HoriHeader_::Ascender

Definition at line 183 of file tttables.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and tt_face_load_hhea().

FT_Short TT_HoriHeader_::caret_Offset

Definition at line 194 of file tttables.h.

FT_Short TT_HoriHeader_::caret_Slope_Rise

Definition at line 192 of file tttables.h.

FT_Short TT_HoriHeader_::caret_Slope_Run

Definition at line 193 of file tttables.h.

FT_Short TT_HoriHeader_::Descender

Definition at line 184 of file tttables.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and tt_face_load_hhea().

FT_Short TT_HoriHeader_::Line_Gap

Definition at line 185 of file tttables.h.

void* TT_HoriHeader_::long_metrics

Definition at line 205 of file tttables.h.

Referenced by tt_face_load_hhea().

FT_Short TT_HoriHeader_::metric_Data_Format

Definition at line 198 of file tttables.h.

FT_Short TT_HoriHeader_::min_Left_Side_Bearing

Definition at line 189 of file tttables.h.

FT_Short TT_HoriHeader_::min_Right_Side_Bearing

Definition at line 190 of file tttables.h.

FT_UShort TT_HoriHeader_::number_Of_HMetrics

Definition at line 199 of file tttables.h.

Referenced by tt_face_get_metrics(), and tt_face_load_hhea().

FT_Short TT_HoriHeader_::Reserved[4]

Definition at line 196 of file tttables.h.

void* TT_HoriHeader_::short_metrics

Definition at line 206 of file tttables.h.

Referenced by tt_face_load_hhea().

FT_Fixed TT_HoriHeader_::Version

Definition at line 182 of file tttables.h.

FT_Short TT_HoriHeader_::xMax_Extent

Definition at line 191 of file tttables.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/tttables.h